#include <vector>
#include <iostream>
using namespace std;
int main()
{
    vector<int> x;
    int n,i,m=0,t,im=0;
    int y[10];
    cin>>n;
    for(i=0;i<10;i++)
        y[i]=0;
    cin>>t;
    y[t]++;
    x.push_back(t);
    for(i=1;i<n;i++)
    {
        cin>>t;
        y[t]++;
        if(m<=t)
        {
            m=t;
            im=i;
        }
        x.push_back(t);
    }
    if(n==2)
    {
        cout<<x[1]<<' '<<x[0];
        return 0;
    }
    i=0;
    while(i<im)
    {
        if(x[i]<m)
            break;
        i++;
    }
    x[im]=x[i];
    x[i]=m;
    for(i=0;i<n;i++)
        cout<<x[i]<<' ';
    return 0;
}